CFD Online Logo CFD Online URL
www.cfd-online.com
[Sponsors]
Home > Forums > Software User Forums > OpenFOAM > OpenFOAM Installation

[OpenFOAM.org] openFoam 2.3.x install on Ubuntu 16.04 in windows 10

Register Blogs Members List Search Today's Posts Mark Forums Read

Like Tree1Likes
  • 1 Post By R.Mah

Reply
 
LinkBack Thread Tools Search this Thread Display Modes
Old   October 19, 2017, 07:12
Default openFoam 2.3.x install on Ubuntu 16.04 in windows 10
  #1
New Member
 
Andy Grey
Join Date: Oct 2017
Posts: 1
Rep Power: 0
AndyBloke is on a distinguished road
Hi,
I need to use 2.3.0 because it's the version which my university uses. *sigh*

On doing
Code:
sudo apt-get install openfoam230
i get
Code:
openfoam230 : Depends: libopenmpi1.3 but it is not installable
               Recommends: libptscotch-dev but it is not going to be installed
libopenmpi1.3 wont install because libopenmpi1.10 is already installed.

I figure I have to downgrade a lot of stuff but I'm having problems. Can anyone help?
AndyBloke is offline   Reply With Quote

Old   December 31, 2017, 12:11
Default
  #2
Super Moderator
 
Bruno Santos
Join Date: Mar 2009
Location: Lisbon, Portugal
Posts: 10,815
Blog Entries: 42
Rep Power: 119
wyldckat is a glorious beacon of lightwyldckat is a glorious beacon of lightwyldckat is a glorious beacon of lightwyldckat is a glorious beacon of lightwyldckat is a glorious beacon of lightwyldckat is a glorious beacon of light
Quick question: I'm really late to your request... have you solved this or do you still need to install OpenFOAM 2.3.0 on Ubuntu 16.04?

If you still do, have you tried the instructions made available at the following page for Ubuntu 14.10: https://openfoamwiki.net/index.php/I...u#Ubuntu_14.10 ?
__________________
wyldckat is offline   Reply With Quote

Old   April 7, 2018, 17:05
Default Errors in Installing OF.2.3.0 in ubuntu 16.04
  #3
New Member
 
Bah.Mah
Join Date: Jun 2016
Posts: 16
Rep Power: 5
R.Mah is on a distinguished road
Hello everyone.

I really need to install OF.2.3.0 in ubuntu 16.04, I followed the
Installation/Linux/OpenFOAM-2.3.0/Ubuntu

But I got so many errors while doing the making step, I have attached the make.log file.
Please any help and I will be so grateful.


Best regards
Attached Files
File Type: gz log.make.gz (22.0 KB, 4 views)
R.Mah is offline   Reply With Quote

Old   April 8, 2018, 13:51
Default
  #4
Super Moderator
 
Bruno Santos
Join Date: Mar 2009
Location: Lisbon, Portugal
Posts: 10,815
Blog Entries: 42
Rep Power: 119
wyldckat is a glorious beacon of lightwyldckat is a glorious beacon of lightwyldckat is a glorious beacon of lightwyldckat is a glorious beacon of lightwyldckat is a glorious beacon of lightwyldckat is a glorious beacon of light
Quick answer: I've started the instructions for OpenFOAM 2.3.0 on Ubuntu 16.04, although I haven't tested it yet. Please see this section: https://openfoamwiki.net/index.php/I...u#Ubuntu_16.04 - and continue following the instructions from step #11.

In other words, use the current state of your installation and try to continue it from there. Since you stopped midway, Don't forget to activate the OpenFOAM shell environment by running the following command on a new terminal window:
Code:
of230
__________________
wyldckat is offline   Reply With Quote

Old   April 8, 2018, 17:39
Default
  #5
New Member
 
Bah.Mah
Join Date: Jun 2016
Posts: 16
Rep Power: 5
R.Mah is on a distinguished road
Many thanks, it worked .
wyldckat likes this.
R.Mah is offline   Reply With Quote

Old   April 8, 2018, 17:57
Default
  #6
Super Moderator
 
Bruno Santos
Join Date: Mar 2009
Location: Lisbon, Portugal
Posts: 10,815
Blog Entries: 42
Rep Power: 119
wyldckat is a glorious beacon of lightwyldckat is a glorious beacon of lightwyldckat is a glorious beacon of lightwyldckat is a glorious beacon of lightwyldckat is a glorious beacon of lightwyldckat is a glorious beacon of light
Excellent, that fixes that!

In case you need to use foamyHexMesh, I've finished testing/fixing the instructions for it as well: https://openfoamwiki.net/index.php/I...u#Ubuntu_16.04
  • In step #3, I've added the "libcgal-dev" package.
  • There is a new step #7, for setting up the correct CGAL version.
  • In step #10 there is a fix for not building CGAL.
  • And as a side note, the old step #11 on my previous post is now #12.
wyldckat is offline   Reply With Quote

Reply

Thread Tools Search this Thread
Search this Thread:

Advanced Search
Display Modes

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off
Trackbacks are On
Pingbacks are On
Refbacks are On


Similar Threads
Thread Thread Starter Forum Replies Last Post
[OpenFOAM.org] I have trouble installing openfoam 5.0 on ubuntu 16.04 haydii OpenFOAM Installation 5 December 27, 2018 10:56
[OpenFOAM.org] OpenFOAM 3.0.1 from source in Ubuntu 16.04 jandrey OpenFOAM Installation 4 April 10, 2017 04:28
[OpenFOAM.org] Install openFOAM 3.0.1 in Ubuntu 16.04 LTS from Deb packs Pier84 OpenFOAM Installation 4 June 18, 2016 16:22
OpenFOAM install on Ubuntu Natty 11.04 bkubicek OpenFOAM 13 May 26, 2011 05:48
CFX11 + Fortran compiler ? Mohan CFX 20 March 30, 2011 18:56


All times are GMT -4. The time now is 02:52.